petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecScatterRemap

Remaps the "from" and "to" indices in a vector scatter context. FOR EXPERTS ONLY!

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterRemap(VecScatter scat,PetscInt *rto,PetscInt *rfrom)

Collective on VecScatter Many br

### Input Parameters

| scat | - vector scatter context Many br
| from | - remapping for "from" indices (may be NULL) Many br
| to | - remapping for "to" indices (may be NULL) Many br

Many br

Notes: In the parallel case the todata is actually the indices Many brfrom which the data is TAKEN! The from stuff is where the Many brdata is finally put. This is VERY VERY confusing! Many br

In the sequential case the todata is the indices where the Many brdata is put and the fromdata is where it is taken from. Many brThis is backwards from the paralllel case! CRY! CRY! CRY! Many br

Level:developer
Location:src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages